Get Organization API key
Description
Get an API key for an organization
Request
GET /v1/organizations/:organizationId/apikeys/:keyId
Response
Successful response contains the following JSON formated body:
{
organizationId: string,
apikeyId: string,
name: string,
enforceIpWhitelist: boolean,
isAdmin: boolean,
actions: string[],
ipWhiteList: {
ip: string,
name?: string
}[],
created: string
}
Response Status codes:
- 200 on success
Request headers
This request must have the following headers:
Authorization: bearer <ApiKey>
Example
Request
curl "https://api.cloud.nabto.com/v1/organizations/:organizationId/apikeys/:keyId" \
-H "Authorization: Bearer <ApiKey>"
Response
{
"organizationId": "or-lmnopqrs",
"apikeyId": "ak-1234pqrs",
"name": "friendly name",
"enforceIpWhitelist": true,
"isAdmin": true,
"actions":[ "nabto5:write",
...],
"ipWhiteList": [{
"ip": "10.0.0.42",
"name": "friendly name"
},
...],
"created": "2022-10-18T10:17:24.299Z"
}